import type { TimeRange } from '../../stream-data-structure/track/TrackAtom';
declare function mergeRanges(queuedRanges: TimeRange[]): TimeRange[];
declare function isFullyIncluded<T extends TimeRange>(rangeToCheck: T, otherRange: T): boolean;
declare function isStartInRange(start: number, range: TimeRange): boolean;
declare function isEndInRange(end: number, range: TimeRange): boolean;
declare function subtractRanges(timeRanges: TimeRange[], rangeToRemove: TimeRange): TimeRange[];
declare function getCommonRanges(ranges: {
    [key: string]: TimeRange[];
}): TimeRange[];
declare function overlaps(a: TimeRange, b: TimeRange): boolean;
declare function getEnclosingRange(ranges: TimeRange[]): TimeRange;
declare const _default: {
    mergeRanges: typeof mergeRanges;
    subtractRanges: typeof subtractRanges;
    getCommonRanges: typeof getCommonRanges;
    getEnclosingRange: typeof getEnclosingRange;
    isStartInRange: typeof isStartInRange;
    isEndInRange: typeof isEndInRange;
    overlaps: typeof overlaps;
    isFullyIncluded: typeof isFullyIncluded;
};
export default _default;
